# module ActiveSupport::Testing::Isolation::MiniTest

### Public Instance Methods

run(runner) click to toggle source

    # File lib/active_support/testing/isolation.rb, line 80
    def run(runner)
      _run_class_setup

      serialized = run_in_isolation do |isolated_runner|
        super(isolated_runner)
      end

      retval, proxy = Marshal.load(serialized)
      proxy.__replay__(runner)
      retval
    end